%define name qmc2
%define version 0.1.b10
%define distsuffix plf
%define release %mkrel 1

Summary: M.A.M.E. Catalog / Launcher II
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
Group: Emulators
License: GPL
URL: http://sourceforge.net/projects/qmc2/
#http://www.mameworld.net/mamecat/
#not requiring plf-non-free
#Requires: sdlmame
BuildRequires: qt4-devel
BuildRoot: %_tmppath/%{name}-build

%description
QMC2 is a Qt 4 based UNIX MAME frontend supporting both XMAME and SDLMAME.
This package is compiled for use with SDLMAME.

It unfortunately does NOT work with Qt 4.3 rc1 (current version in cooker as 
of today). You can try it on Mandriva Spring...

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{name}

%build
#xmame
#make QTDIR=%{_prefix}/%{_lib}/qt4 PREFIX=%{_prefix} MACHINE=i686 SDLMAME=0
#or sdlmame
%make \
 QTDIR=%{_prefix}/%{_lib}/qt4 \
 PREFIX=%{_prefix} \
 DEBUG=1 \
 SDLMAME=1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall \
 PREFIX=%{_prefix} \
 DESTDIR=%{buildroot} \
 QTDIR=%{_prefix}/%{_lib}/qt4

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{SOURCE10} %{buildroot}/%{_miconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 %{SOURCE11} %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{SOURCE12} %{buildroot}/%{_liconsdir}/%{name}.png

#menu item
#old debian-type menu
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
section="More Applications/Emulators" \
title="QMC2" \
longtitle="%{Summary}" \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
xdg="true"
EOF

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=QMC2
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

#mv %{buildroot}/%{_datadir}/%{name}/doc %{buildroot}/%{_datadir}
#find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files
# -f %{name}.lang
%defattr(-,root,root)
#{_docdir}/html/us
#lang(de) %{_docdir}/html/de
%{_bindir}/%{name}
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.ini
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 0.1.b10-1plf2008.0
- New release

* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.1.b9-1plf2008.0
- First package for PLF
